Skip to main content
PUT
Upsert a workspace record

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Scopes

record_permission:read-write

View, and optionally write, records.

object_configuration:read

View, and optionally write, the configuration and attributes of objects.

Query Parameters

matching_attribute
string
required

The ID or slug of the attribute to use to check if a workspace already exists. The attribute does not have to be unique, but a value that matches more than one record is rejected. For workspace records, you can use workspace_id or any other matchable attribute.

Example:

"workspace_id"

Body

application/json
data
object
required

Response

Success

Success

data
object
required